/**
 * {}
 * @author yutent<yutent.io@gmail.com>
 * @date 2023/07/20 14:19:13
 */

import 'es.shim'
import { html, css, Component } from 'wkit'
import { createApp, createRouter } from 'wkitd'

import store from './store.js'
import './components/home.js'

import { noop } from './utils/index.js'

createApp({
  data: {
    input: '',
    img: '',
    content: ''
  },
  styles: [
    css`
      :host {
        display: flex;
        width: 100%;
        height: 100vh;
      }
    `
  ],
  methods: {
    quit() {
      native.quit()
    }
  },
  render() {
    return html` <wc-home @contextmenu.prevent=${noop}></wc-home> `
  }
})
  .use(store)
  .mount()
